/**
 * <copyright>
 * 
 * Copyright (c) 2010-2017 Thales Global Services S.A.S.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Thales Global Services S.A.S. - initial API and implementation
 * 
 * </copyright>
 */
package org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Edge Style</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeStyle#getLinestyle <em>Linestyle</em>}</li>
 *   <li>{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeStyle#getRoutingstyle <em>Routingstyle</em>}</li>
 *   <li>{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeStyle#getTargetarrow <em>Targetarrow</em>}</li>
 *   <li>{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeStyle#getSourcearrow <em>Sourcearrow</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeStyle()
 * @model
 * @generated
 */
public interface EdgeStyle extends Style {
	/**
	 * Returns the value of the '<em><b>Linestyle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Linestyle</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Linestyle</em>' attribute.
	 * @see #setLinestyle(String)
	 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeStyle_Linestyle()
	 * @model
	 * @generated
	 */
	String getLinestyle();

	/**
	 * Sets the value of the '{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeStyle#getLinestyle <em>Linestyle</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Linestyle</em>' attribute.
	 * @see #getLinestyle()
	 * @generated
	 */
	void setLinestyle(String value);

	/**
	 * Returns the value of the '<em><b>Routingstyle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Routingstyle</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Routingstyle</em>' attribute.
	 * @see #setRoutingstyle(String)
	 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeStyle_Routingstyle()
	 * @model
	 * @generated
	 */
	String getRoutingstyle();

	/**
	 * Sets the value of the '{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeStyle#getRoutingstyle <em>Routingstyle</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Routingstyle</em>' attribute.
	 * @see #getRoutingstyle()
	 * @generated
	 */
	void setRoutingstyle(String value);

	/**
	 * Returns the value of the '<em><b>Targetarrow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Targetarrow</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Targetarrow</em>' attribute.
	 * @see #setTargetarrow(String)
	 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeStyle_Targetarrow()
	 * @model
	 * @generated
	 */
	String getTargetarrow();

	/**
	 * Sets the value of the '{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeStyle#getTargetarrow <em>Targetarrow</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Targetarrow</em>' attribute.
	 * @see #getTargetarrow()
	 * @generated
	 */
	void setTargetarrow(String value);

	/**
	 * Returns the value of the '<em><b>Sourcearrow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sourcearrow</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sourcearrow</em>' attribute.
	 * @see #setSourcearrow(String)
	 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeStyle_Sourcearrow()
	 * @model
	 * @generated
	 */
	String getSourcearrow();

	/**
	 * Sets the value of the '{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeStyle#getSourcearrow <em>Sourcearrow</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sourcearrow</em>' attribute.
	 * @see #getSourcearrow()
	 * @generated
	 */
	void setSourcearrow(String value);

} // EdgeStyle
